"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/web.dom-collections.iterator.js");

var _react = require("react");

var _propTypes = _interopRequireDefault(require("prop-types"));

var _ionicons = _interopRequireDefault(require("@reacticons/ionicons"));

require("../../styles/main.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Checkbox = (_ref, props) => {
  let {
    isChecked
  } = _ref;
  const [checked, setChecked] = (0, _react.useState)(isChecked);
  return /*#__PURE__*/_react.React.createElement("div", {
    className: "checkbox ".concat(checked && "checkbox__checked"),
    onClick: () => {
      setChecked(!checked);
    }
  }, checked && /*#__PURE__*/_react.React.createElement(_ionicons.default, {
    className: "checkbox__icon",
    name: "checkmark"
  }));
};

Checkbox.propTypes = {
  /**
   * Is this item checked (true) or unchecked (false)?
   */
  isChecked: _propTypes.default.bool
};
Checkbox.defaults = {
  isChecked: false
};
var _default = Checkbox;
exports.default = _default;