"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _buttonSearch = _interopRequireDefault(require("../../resources/icons/button-search.svg"));

var _buttonBackArrow = _interopRequireDefault(require("../../resources/icons/button-back-arrow.svg"));

var _desktopLocationBlue = _interopRequireDefault(require("../../resources/icons/desktop-location-blue.svg"));

var _directions = _interopRequireDefault(require("../../resources/icons/directions.svg"));

var _globeAmericas = _interopRequireDefault(require("../../resources/icons/globe-americas.svg"));

var _help = _interopRequireDefault(require("../../resources/icons/help.svg"));

var _locationPin = _interopRequireDefault(require("../../resources/icons/location-pin.svg"));

var _mail = _interopRequireDefault(require("../../resources/icons/mail.svg"));

var _mobileSearch = _interopRequireDefault(require("../../resources/icons/mobile-search.svg"));

var _mobileLocation = _interopRequireDefault(require("../../resources/icons/mobile-location.svg"));

var _mobileLocationBlue = _interopRequireDefault(require("../../resources/icons/mobile-location-blue.svg"));

var _phone = _interopRequireDefault(require("../../resources/icons/phone.svg"));

require("../../styles/main.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const iconTypes = {
  buttonSearch: _buttonSearch.default,
  buttonBack: _buttonBackArrow.default,
  desktopLocationBlue: _desktopLocationBlue.default,
  directions: _directions.default,
  globeAmericas: _globeAmericas.default,
  help: _help.default,
  locationPin: _locationPin.default,
  mail: _mail.default,
  mobileSearch: _mobileSearch.default,
  mobileLocation: _mobileLocation.default,
  mobileLocationBlue: _mobileLocationBlue.default,
  phone: _phone.default
};

const Icon = _ref => {
  let {
    type
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("img", {
    src: iconTypes[type]
  });
};

var _default = Icon;
exports.default = _default;