"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Warning = exports.Success = exports.General = exports.Error = void 0;

var _react = _interopRequireDefault(require("react"));

var _Pills = _interopRequireDefault(require("./Pills"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = {
  title: "Components/Pills",
  component: _Pills.default,
  argTypes: {
    useBackground: {
      control: "boolean"
    }
  }
};
exports.default = _default;

const Template = args => /*#__PURE__*/_react.default.createElement(_Pills.default, args);

const Success = Template.bind({});
exports.Success = Success;
Success.args = {
  text: "Open Now",
  variant: "success"
};
const Warning = Template.bind({});
exports.Warning = Warning;
Warning.args = {
  text: "Closing Soon",
  variant: "warning"
};
const Error = Template.bind({});
exports.Error = Error;
Error.args = {
  text: "Closed",
  variant: "error"
};
const General = Template.bind({});
exports.General = General;
General.args = {
  text: "General",
  variant: "general"
};