"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/web.dom-collections.iterator.js");

var _react = require("react");

var _propTypes = _interopRequireDefault(require("prop-types"));

require("../../styles/main.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Toggle = (_ref, props) => {
  let {
    valueOne,
    valueTwo
  } = _ref;
  const [toggle, setToggle] = (0, _react.useState)(false);
  return /*#__PURE__*/_react.React.createElement("div", {
    className: "toggle"
  }, /*#__PURE__*/_react.React.createElement("div", {
    className: "toggle-button ".concat(toggle ? "" : "toggle-button--selected"),
    onClick: () => {
      setToggle(false);
    }
  }, valueOne), /*#__PURE__*/_react.React.createElement("div", {
    className: "toggle-separator"
  }, "\xA0"), /*#__PURE__*/_react.React.createElement("div", {
    className: "toggle-button ".concat(toggle ? "toggle-button--selected" : ""),
    onClick: () => {
      setToggle(true);
    }
  }, valueTwo));
};

Toggle.propTypes = {
  /**
   * The text value for the left button.
   */
  valueOne: _propTypes.default.string,

  /**
   * The text value for the right button.
   */
  valueTwo: _propTypes.default.string
};
var _default = Toggle;
exports.default = _default;