"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Unchecked = exports.Checked = void 0;

var _react = _interopRequireDefault(require("react"));

var _Checkbox = _interopRequireDefault(require("./Checkbox"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = {
  title: "Components/Checkbox",
  component: _Checkbox.default
};
exports.default = _default;

const Template = args => /*#__PURE__*/_react.default.createElement(_Checkbox.default, args);

const Unchecked = Template.bind({});
exports.Unchecked = Unchecked;
Unchecked.args = {
  isChecked: false
};
const Checked = Template.bind({});
exports.Checked = Checked;
Checked.args = {
  isChecked: true
};