"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Primary = void 0;

var _GraphicButton = _interopRequireDefault(require("./GraphicButton"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = {
  title: "Components/Graphic Button",
  component: _GraphicButton.default,
  argTypes: {
    graphic: {
      options: ["food", "family", "lgbt", "jobs", "shelter", "health"],
      control: {
        type: "select"
      }
    }
  }
};
exports.default = _default;

const Template = args => /*#__PURE__*/React.createElement(_GraphicButton.default, args);

const Primary = Template.bind({});
exports.Primary = Primary;
Primary.args = {
  title: "Food",
  content: "Pantry for food stamps, free lunches for kids, etc.",
  graphic: "food"
};