"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

require("../../styles/main.css");

var _indicatorDotsDark = _interopRequireDefault(require("../../resources/indicator-dots-dark.svg"));

var _indicatorDotsLight = _interopRequireDefault(require("../../resources/indicator-dots-light.svg"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const IndicatorDots = props => {
  const elements = Array(props.numElements).fill(_indicatorDotsLight.default).fill(_indicatorDotsDark.default, props.indicator, props.indicator + 1);
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "indicator-dots"
  }, elements.map((item, index) => /*#__PURE__*/_react.default.createElement("img", {
    src: item,
    key: index
  })));
};

IndicatorDots.propTypes = {
  indicator: _propTypes.default.number.isRequired,
  numElements: _propTypes.default.number.isRequired
};
IndicatorDots.defaults = {
  indicator: 0,
  numElements: 6
};
var _default = IndicatorDots;
exports.default = _default;