"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Secondary = exports.Primary = void 0;

var _react = _interopRequireDefault(require("react"));

var _LocationModal = _interopRequireDefault(require("./LocationModal"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = {
  title: "Components/Location Modal",
  component: _LocationModal.default
};
exports.default = _default;

const Template = args => /*#__PURE__*/_react.default.createElement(_LocationModal.default, args);

const Primary = Template.bind({});
exports.Primary = Primary;
Primary.args = {
  label: "Location Modal",
  primary: true
};
const Secondary = Template.bind({});
exports.Secondary = Secondary;
Secondary.args = {
  label: "Location Modal",
  primary: false,
  pages: 3,
  onClose: undefined
};