"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _ionicons = _interopRequireDefault(require("@reacticons/ionicons"));

require("../../styles/main.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const SearchSuggestions = props => {
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "search-suggestions"
  }, props.searchTerm.length != 0 && /*#__PURE__*/_react.default.createElement("div", {
    className: "search-results ".concat(props.location ? "search-results__location" : "")
  }, props.location && /*#__PURE__*/_react.default.createElement("span", {
    className: "search-item search-item__location",
    id: "list__0"
  }, /*#__PURE__*/_react.default.createElement(_ionicons.default, {
    name: "navigate-outline",
    className: "search-item__icon"
  }), /*#__PURE__*/_react.default.createElement("p", null, "Current location")), props.term && /*#__PURE__*/_react.default.createElement("span", {
    className: "search-item",
    id: "list__0"
  }, /*#__PURE__*/_react.default.createElement("p", null, "\"", props.term, "\"")), props.searchTerm.slice(0, 4).map((value, index) => {
    return /*#__PURE__*/_react.default.createElement("span", {
      className: "search-item",
      id: props.location ? "list__".concat(index + 1) : "list__".concat(index),
      onClick: props.location ? () => props.onLocationClick(value.title) : () => props.onTermClick(value.title)
    }, /*#__PURE__*/_react.default.createElement("p", null, value.title, " "));
  })));
};

var _default = SearchSuggestions;
exports.default = _default;